Search workspaces by text string across name, displayname, description, and attributes. Returns 10 best results.
GET /users/workspaces/search
Operation id: WorkspaceService_SearchWorkspaceByTextSearch
Description
Permission Level: Read
Tags: WorkspaceService
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
filter.workspaceAttribute.domain | string | No | Domain of the attribute. Required : false |
filter.workspaceAttribute.fieldName | string | No | Name of the attribute. Required: true |
filter.workspaceAttribute.scope | string | No | General scoping for workspace attribute. Required: false |
filter.workspaceAttribute.value | string | No | Value of the attribute. Required: false |
pageSize | integer (int32) | No | Items per page. Required: false |
pageToken | string | No | Mongo DB Field, describes the encoded page token for page traversal, Required: false |
scope | string | No | Scope. Required: false |
tenantId | string | No | Tenant of the workspace, Required: false |
workspaceText | string | No | Text for the workspace to search on this fields: name, displayName, description, attributes. Required: true |
workspaceType | string | No | Workspace type of the workspace. Required: false |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
workspaces | array | No | |
nextPageToken | string | No |
{
"type": "object",
"properties": {
"workspaces": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"displayName": {
"type": "string"
},
"description": {
"type": "string"
},
"tenantId": {
"type": "string"
},
"domain": {
"type": "string"
},
"attributes": {
"type": "array",
"items": {
"type": "object"
}
},
"enabledScopes": {
"type": "object"
}
}
}
},
"nextPageToken": {
"type": "string"
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}